/*
** xiprepl.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 08:30:20 1999 
** Last update Thu Oct 28 20:24:34 1999 
*/
#ifndef XIPREPL_H
#define XIPREPL_H	1

#include "xip.h"

/* PROTO xiprepl.c */
/* xiprepl.c */
char *my_itoa P((signed int signed_integer));
t_status xip_pkt_swap_fields P((t_pkt *pkt, char *field1, char *field2));
t_status xip_pkt_reply_ether P((t_pkt *pkt));
t_status xip_pkt_reply_arp P((t_pkt *pkt));
t_status xip_pkt_reply_arpethip P((t_pkt *pkt));
t_status xip_pkt_reply_ip P((t_pkt *pkt));
t_status xip_pkt_reply_icmp P((t_pkt *pkt));
t_status xip_pkt_reply_udp P((t_pkt *pkt));
t_status xip_pkt_reply_tcp P((t_pkt *pkt));
t_status xip_pkt_reply P((t_pkt *pkt));
#endif
